Package org.flowable.cmmn.api.history

# Interface HistoricCaseInstance

public interface HistoricCaseInstance

Author:
  Joram Barrez

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getBusinessKey()`
  `String`
  `getBusinessStatus()`
  `String`
  `getCallbackId()`
  `String`
  `getCallbackType()`
  `String`
  `getCaseDefinitionDeploymentId()`
  `String`
  `getCaseDefinitionId()`
  `String`
  `getCaseDefinitionKey()`
  `String`
  `getCaseDefinitionName()`
  `Integer`
  `getCaseDefinitionVersion()`
  `Map<String,Object>`
  `getCaseVariables()`
  `Date`
  `getEndTime()`
  `String`
  `getId()`
  `Date`
  `getLastReactivationTime()`
  `String`
  `getLastReactivationUserId()`
  `String`
  `getName()`
  `String`
  `getParentId()`
  `String`
  `getReferenceId()`
  `String`
  `getReferenceType()`
  `Date`
  `getStartTime()`
  `String`
  `getStartUserId()`
  `String`
  `getState()`
  `String`
  `getTenantId()`
  `void`
  `setLocalizedName(String localizedName)`
  Sets an optional localized name for the case.

- ## Method Details

  - ### getId

    String getId()

  - ### getName

    String getName()

  - ### getParentId

    String getParentId()

  - ### getBusinessKey

    String getBusinessKey()

  - ### getBusinessStatus

    String getBusinessStatus()

  - ### getCaseDefinitionId

    String getCaseDefinitionId()

  - ### getCaseDefinitionKey

    String getCaseDefinitionKey()

  - ### getCaseDefinitionName

    String getCaseDefinitionName()

  - ### getCaseDefinitionVersion

    Integer getCaseDefinitionVersion()

  - ### getCaseDefinitionDeploymentId

    String getCaseDefinitionDeploymentId()

  - ### getState

    String getState()

  - ### getStartTime

    Date getStartTime()

  - ### getEndTime

    Date getEndTime()

  - ### getStartUserId

    String getStartUserId()

  - ### getLastReactivationTime

    Date getLastReactivationTime()

  - ### getLastReactivationUserId

    String getLastReactivationUserId()

  - ### getCallbackId

    String getCallbackId()

  - ### getCallbackType

    String getCallbackType()

  - ### getReferenceId

    String getReferenceId()

  - ### getReferenceType

    String getReferenceType()

  - ### getTenantId

    String getTenantId()

  - ### getCaseVariables

    Map<String,Object> getCaseVariables()

  - ### setLocalizedName

    void setLocalizedName(String localizedName)
    Sets an optional localized name for the case.